summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Pedro Mendes2010-05-13 01:00:35 +0200
committer Robby Workman2010-05-13 01:00:35 +0200
commit538c24d3222b1b69023570159a3e954d4d8bc732 (patch)
tree763e06b056e6b9683a764ffbeb48eee148b9742b
parent8256edc1d8f162c5ac989533b039678b15fe71ea (diff)
downloadslackbuilds-538c24d3222b1b69023570159a3e954d4d8bc732.tar.gz
office/pdfedit: Added to 13.0 repository
-rw-r--r--office/pdfedit/README7
-rw-r--r--office/pdfedit/doinst.sh4
-rw-r--r--office/pdfedit/pdfedit.SlackBuild84
-rw-r--r--office/pdfedit/pdfedit.desktop7
-rw-r--r--office/pdfedit/pdfedit.info10
-rw-r--r--office/pdfedit/slack-desc19
6 files changed, 131 insertions, 0 deletions
diff --git a/office/pdfedit/README b/office/pdfedit/README
new file mode 100644
index 0000000000..49a6573ede
--- /dev/null
+++ b/office/pdfedit/README
@@ -0,0 +1,7 @@
+PDFedit is free and open source library for manipulating PDF documents,
+released under terms of GNU GPL version 2. It includes PDF manipulating
+library based on xpdf, GUI and set of command line tools. Graphical
+interface based on QT3 which heavily depends on scripting; therefore, any
+user can modify the behaviour by scripts and plugins
+
+This requires qt3 (from the /extra/kde3-compat packages).
diff --git a/office/pdfedit/doinst.sh b/office/pdfedit/doinst.sh
new file mode 100644
index 0000000000..a9ca196938
--- /dev/null
+++ b/office/pdfedit/doinst.sh
@@ -0,0 +1,4 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications 2>/dev/null
+fi
+
diff --git a/office/pdfedit/pdfedit.SlackBuild b/office/pdfedit/pdfedit.SlackBuild
new file mode 100644
index 0000000000..afedf31c94
--- /dev/null
+++ b/office/pdfedit/pdfedit.SlackBuild
@@ -0,0 +1,84 @@
+#!/bin/sh
+
+# Slackware build script for PDFedit
+# written by <pedro@gepasi.org> and hereby put in the public domain
+
+PRGNAM=pdfedit
+VERSION=0.4.3
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+# Add a good path for docbook.xsl
+printf "/usr/share/xml/docbook/xsl-stylesheets-1.75.1/html\n" >> \
+ doc/tools/docbook_xslt_paths
+
+ARCH="" \
+C_EXTRA="$SLKCFLAGS" \
+CXX_EXTRA="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib$LIBDIRSUFFIX \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --enable-stack-protector \
+ --enable-release \
+ --enable-gui \
+ --disable-kernel-tests \
+ --disable-advanced-doc \
+ --enable-user-manual \
+ --enable-doxygen-doc \
+ --enable-pdfedit-core-dev \
+ --with-parallel-make=auto \
+ --with-root-dir=$PKG \
+ --with-qmake=/opt/kde3/bin/qmake
+
+make install
+
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $(find . -type l) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+)
+
+mkdir -p $PKG/usr/share/applications
+cat $CWD/$PRGNAM.desktop > $PKG/usr/share/applications/$PRGNAM.desktop
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a COPYING $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/office/pdfedit/pdfedit.desktop b/office/pdfedit/pdfedit.desktop
new file mode 100644
index 0000000000..839ac8dd1d
--- /dev/null
+++ b/office/pdfedit/pdfedit.desktop
@@ -0,0 +1,7 @@
+[Desktop Entry]
+Name=PDFedit
+Exec=pdfedit
+Type=Application
+Icon=/usr/share/pdfedit/icon/pdfedit_icon_48.png
+GenericName=PDF editor
+Categories=Office;
diff --git a/office/pdfedit/pdfedit.info b/office/pdfedit/pdfedit.info
new file mode 100644
index 0000000000..0a35a89758
--- /dev/null
+++ b/office/pdfedit/pdfedit.info
@@ -0,0 +1,10 @@
+PRGNAM="pdfedit"
+VERSION="0.4.3"
+HOMEPAGE="http://pdfedit.petricek.net/"
+DOWNLOAD="http://sourceforge.net/projects/pdfedit/files/pdfedit/0.4.3/pdfedit-0.4.3.tar.bz2/download"
+MD5SUM="98eb8d8d42027241c10a5c9bedacc20e"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Pedro Mendes"
+EMAIL="pedro@gepasi.org"
+APPROVED="rworkman"
diff --git a/office/pdfedit/slack-desc b/office/pdfedit/slack-desc
new file mode 100644
index 0000000000..32fc481272
--- /dev/null
+++ b/office/pdfedit/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+pdfedit: pdfedit - pdf manipulation library, gui, tools
+pdfedit:
+pdfedit: PDFedit is free and open source library for manipulating PDF
+pdfedit: documents, released under terms of GNU GPL version 2. It includes PDF
+pdfedit: manipulating library based on xpdf, GUI and set of command line tools.
+pdfedit: Graphical interface based on QT3 which heavily depends on scripting;
+pdfedit: therefore, any user can modify the behaviour by scripts and plugins
+pdfedit:
+pdfedit: Homepage: http://pdfedit.petricek.net/
+pdfedit:
+pdfedit: